apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    build.aep.asag.io/source: svc-api
    build.aep.asag.io/version: 0.0.0-9b402646
    controller-gen.kubebuilder.io/version: v0.10.0
  creationTimestamp: null
  name: environments.service.aep.asag.io
spec:
  group: service.aep.asag.io
  names:
    kind: Environment
    listKind: EnvironmentList
    plural: environments
    shortNames:
      - en
      - env
      - aepv
      - aepenv
      - aepenvironment
    singular: environment
  scope: Namespaced
  versions:
    - additionalPrinterColumns:
        - jsonPath: .metadata.ownerReferences[?(@.controller==true)].kind
          name: OwnerKind
          priority: 2
          type: string
        - jsonPath: .metadata.ownerReferences[?(@.controller==true)].name
          name: OwnerName
          priority: 2
          type: string
        - jsonPath: .metadata.creationTimestamp
          name: Age
          type: date
      name: v1
      schema:
        openAPIV3Schema:
          description: The environment definition for any arbitrary data
          properties:
            apiVersion:
              description: 'APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
              type: string
            data:
              description: Arbitrary structural data
              type: object
              x-kubernetes-preserve-unknown-fields: true
            kind:
              description: 'Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
              type: string
            metadata:
              type: object
          required:
            - data
            - metadata
          type: object
      served: true
      storage: true
      subresources: {}
